Package weka.core.pmml.jaxbbindings

# Class TrendExpoSmooth

java.lang.Object
weka.core.pmml.jaxbbindings.TrendExpoSmooth

public class TrendExpoSmooth extends Object

Java class for Trend_ExpoSmooth element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Trend_ExpoSmooth">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://www.dmg.org/PMML-4_1}REAL-ARRAY" minOccurs="0"/>
             </sequence>
             <attribute name="gamma" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="phi" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="1" />
             <attribute name="smoothedValue" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="trend" default="additive">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="additive"/>
                   <enumeration value="damped_additive"/>
                   <enumeration value="multiplicative"/>
                   <enumeration value="damped_multiplicative"/>
                   <enumeration value="polynomial_exponential"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrendExpoSmooth()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayType`
  `getArray()`
  Gets the value of the array property.
  `Double`
  `getGamma()`
  Gets the value of the gamma property.
  `double`
  `getPhi()`
  Gets the value of the phi property.
  `Double`
  `getSmoothedValue()`
  Gets the value of the smoothedValue property.
  `String`
  `getTrend()`
  Gets the value of the trend property.
  `void`
  `setArray(ArrayType value)`
  Sets the value of the array property.
  `void`
  `setGamma(Double value)`
  Sets the value of the gamma property.
  `void`
  `setPhi(Double value)`
  Sets the value of the phi property.
  `void`
  `setSmoothedValue(Double value)`
  Sets the value of the smoothedValue property.
  `void`
  `setTrend(String value)`
  Sets the value of the trend property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrendExpoSmooth

    public TrendExpoSmooth()

- ## Method Details

  - ### getArray

    public ArrayType getArray()
    Gets the value of the array property.
    Returns:
      possible object is `ArrayType`

  - ### setArray

    public void setArray(ArrayType value)
    Sets the value of the array property.
    Parameters:
      `value` - allowed object is `ArrayType`

  - ### getGamma

    public Double getGamma()
    Gets the value of the gamma property.
    Returns:
      possible object is `Double`

  - ### setGamma

    public void setGamma(Double value)
    Sets the value of the gamma property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getPhi

    public double getPhi()
    Gets the value of the phi property.
    Returns:
      possible object is `Double`

  - ### setPhi

    public void setPhi(Double value)
    Sets the value of the phi property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getSmoothedValue

    public Double getSmoothedValue()
    Gets the value of the smoothedValue property.
    Returns:
      possible object is `Double`

  - ### setSmoothedValue

    public void setSmoothedValue(Double value)
    Sets the value of the smoothedValue property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getTrend

    public String getTrend()
    Gets the value of the trend property.
    Returns:
      possible object is `String`

  - ### setTrend

    public void setTrend(String value)
    Sets the value of the trend property.
    Parameters:
      `value` - allowed object is `String`